The Amalthea Library is free software.
This library is distributed in the hope that it will be useful,
but without any warranty; without even the implied warranty of
merchantability or fitness for a particular purpose.

**Official repositories**:

- [https://gitlab.com/os-18/amalthea](https://gitlab.com/os-18/amalthea)
- [https://codeberg.org/os-18/amalthea](https://codeberg.org/os-18/amalthea)

---

## Amalthea

Amalthea is a small general Linux-specific library for the D programming language.
It provides a few useful functions.

**Library documentation:**  
[https://os-18.gitlab.io/docs/](https://os-18.gitlab.io/docs/)  
**Alternative link to the same documentation:**  
[https://os-18.codeberg.page/amalthea/](https://os-18.codeberg.page/amalthea/)

---

## Ready-made packages

See:  
[Download Page on GitLab](https://gitlab.com/os-18/amalthea/wikis/Download-page)  
or  
[Download Page on Codeberg](https://codeberg.org/os-18/amalthea/wiki/Download-page)

---

## Build from source

### Preparing

You must have at least one of these compilers:

- [Digital Mars D Compiler](https://dlang.org/download.html#dmd)
- [LLVM D Compiler](https://wiki.dlang.org/LDC)
- [GNU D Compiler](https://www.gdcproject.org)

Also the library needs **libgio-2.0** and **libglib-2.0**.
Most likely, these libraries are already on your system.


### Simple building and installing

Creating of static and dynamic libraries for the **ldc2** compiler (by default):

```
make
```

Installation:

```
make install
```

After that, the library for ldc2 is ready for use.

You can install the library in any other directory:

```
make install DESTDIR=/home/$USER/sandbox
```

Uninstalling:

```
make uninstall
```

If you installed in an alternative directory:

```
make uninstall DESTDIR=/home/$USER/sandbox
```

### Specific building

Compiler by default is **ldc2**.
You can choose other compiler (for example, **dmd**):

```
make DC=dmd
```

Installing:

```
make install DC=dmd
```

Uninstalling:

```
make uninstall DC=dmd
```

---


## Feedback

Questions, suggestions, comments, bugs:

**tech.vindex@gmail.com**

Also use the repository service tools.

---
